openSUSE 13.2 Channels

I finally got my SUMA upgraded to 2.1 and migrated my database over from Oracle to postgres. An additional task I would like to do is add the openSUSE 13.2 repos in SUMA along with manage some of my openSUSE 13.2 hosts.

Is this possible? How would one go about adding these and creating client bootstrap files?

Hi
I did do it with 13.1, had to build the various packages for the
bootstrap repo and fiddle with the bootstrap script. I have yet to do
it for 13.2 since I’m looking at moving my instance of SUSE Manager to
real hardware instead of a VM. The other issue with the openSUSE repos
was filtering out all the 32bit cruft since I only have 64bit hardware.

So, in the first instance look at
/srv/www/htdocs/pub/repositories/sle/12/0/bootstrap

Then duplicate the rpms in the above directory for 13.2 then use
createrepo to generate a proper repository in something like;

/srv/www/htdocs/pub/repositories/openSUSE/13/2

Here are the changes I made to the bootrap script;

--- bootstrap.sh	2013-12-19 09:50:48.000000000 -0600
+++ bootstrap-opensuse13.1-x86_64.sh	2014-01-18
14:52:50.000000000 -0600 @@ -68,15 +68,15 @@
echo "Enable this script: comment (with #'s) this block (or, at least
just" echo "the exit below)"
echo
-exit 1
+#exit 1

# can be edited, but probably correct (unless created during initial
install): # NOTE: ACTIVATION_KEYS *must* be used to bootstrap a client
machine. -ACTIVATION_KEYS=
+ACTIVATION_KEYS="1-opensuse-13.1-x86_64_key"
ORG_GPG_KEY=

# can be edited, but probably correct:
-CLIENT_OVERRIDES=client-config-overrides.txt
+CLIENT_OVERRIDES=client-config-overrides-opensuse.txt
HOSTNAME=bert.gekkota.dyndns.org

ORG_CA_CERT=RHN-ORG-TRUSTED-SSL-CERT
@@ -90,7 +90,7 @@
ALLOW_CONFIG_ACTIONS=1
ALLOW_REMOTE_COMMANDS=1

-FULLY_UPDATE_THIS_BOX=1
+FULLY_UPDATE_THIS_BOX=0

# Set if you want to specify profilename for client systems.
# NOTE: Make sure it's set correctly if any external command is used.
@@ -284,6 +284,10 @@
Z_CLIENT_CODE_BASE="${BASE:-unknown}"
Z_CLIENT_CODE_VERSION="${VERSION:-unknown}"
Z_CLIENT_CODE_PATCHLEVEL="${PATCHLEVEL:-0}"
+    Z_CLIENT_CODE_BASE="openSUSE"
+    Z_CLIENT_CODE_VERSION="13"
+    Z_CLIENT_CODE_PATCHLEVEL="1"
+
}

function getZ_MISSING() {
@@ -314,7 +318,7 @@
# client codebase determines repo url to use and whether additional
# preparations are needed before installing the missing packages.
getZ_CLIENT_CODE_BASE
-  echo "* client codebase is ${Z_CLIENT_CODE_BASE}-${Z_CLIENT_CODE_VERSION}-sp${Z_CLIENT_CODE_PATCHLEVEL}"
+  echo "* client codebase is ${Z_CLIENT_CODE_BASE}-${Z_CLIENT_CODE_VERSION}.${Z_CLIENT_CODE_PATCHLEVEL}"
getZ_MISSING
if [ -z "$Z_MISSING" ]; then


Cheers Malcolm °¿° LFCS, SUSE Knowledge Partner (Linux Counter #276890)
SUSE Linux Enterprise Desktop 12 GNOME 3.10.1 Kernel 3.12.28-4-default
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below… Thanks!

Client-side packages for openSUSE 13.2 can be found at https://build.opensuse.org/project/show/systemsmanagement:spacewalk